Edit the column definition for the list. For list columns to be edited you must have created the list or have BillListAdministrator Manage permission and the list is shared with anyone or have SharedBillList Edit permission and the list is shared with you.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| listId | The list identifier | integer (int32) | Required |
Request Body
Array of:
ListColumnEdit
| Property | Description | Type |
|---|---|---|
| displayOrder | Order of the column Required | integer (int32) |
| fieldId | Column/Filter Identifier Required | integer (int32) |
| sortDirection | Sort direction Required One of ‘asc’, ‘desc’ Case sensitive | string |
| sortOrder | Sort order for the column Required | integer (int32) |
| visible | Is the column visible? Required | boolean |
| width | Width of the column Required | integer (int32) |
Example Request Body
[
{ "displayOrder": 1, "fieldId": 1, "sortDirection": "string", "sortOrder": 1, "visible": false, "width": 1
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
ListResponse+ListField
| Property | Description | Type |
|---|---|---|
| caption | Caption for the column/filter | string |
| dataTypeCode | Type of Data in this column | string |
| displayOrder | Order of the column | integer (int32) |
| fieldId | Column/Filter Identifier | integer (int32) |
| requiredOutput | Is this column a required column? | boolean |
| sortDirection | Sort direction “asc” or “desc” | string |
| sortOrder | Sort order for the column | integer (int32) |
| sortable | Is the column sortable? | boolean |
| visible | Is this column currently visible? | boolean |
| width | Width of the column | integer (int32) |
Example Response
[
{ "caption": "string", "dataTypeCode": "string", "displayOrder": 1, "fieldId": 1, "requiredOutput": false, "sortDirection": "string", "sortOrder": 1, "sortable": false, "visible": false, "width": 1
}
]